﻿using System;
using System.IO;
using System.Windows;

namespace RibbonTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindow()
        {
            try
            {
                InitializeComponent();
            }
            catch (Exception ex)
            {
                using (var s = new StreamWriter(@"C:\Temp\Wpf.log"))
                {
                    this.LogException(ex, s);
                }

                throw;
            }
        }

        private void LogException(Exception exception, StreamWriter s)
        {
            s.WriteLine(exception.Message);
            if (exception.InnerException != null)
            {
                this.LogException(exception.InnerException, s);
            }
        }

        private void ButtonTool_Click(object sender, RoutedEventArgs e)
        {
            content.Content = new UserControl1();
        }

        private void ButtonTool_Click_1(object sender, RoutedEventArgs e)
        {
            content.Content = new UserControl2();
        }

        private void ApplicationMenu_Opened(object sender, RoutedEventArgs e)
        {
            //((ApplicationMenu)sender).IsOpen = false;
        }
    }
}
